Bug 1264703 - Review Request: syntastic - A vim plugins to check syntax for programming languages [NEEDINFO]
Review Request: syntastic - A vim plugins to check syntax for programming lan...
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-20 18:35 EDT by MERCIER Jonathan
Modified: 2016-03-28 15:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
projects.rg: needinfo? (bioinfornatics)


Attachments (Terms of Use)

  None (edit)
Description MERCIER Jonathan 2015-09-20 18:35:46 EDT
New Package SCM Request
=======================
Package Name: syntastic
Short Description: syntastic
Upstream URL: https://github.com/scrooloose/syntastic
Owners: bioinfornatics
Branches: rawhide f23

Note: it was retired due to a broken dep and thus needs a re-review.
https://admin.fedoraproject.org/pkgdb/package/syntastic
Comment 2 Pierre-YvesChibon 2015-09-21 03:56:20 EDT
Again wrong component.
Again was retired too long ago (for broken deps) and needs a full new review: https://admin.fedoraproject.org/pkgdb/package/syntastic/
Comment 3 Raphael Groner 2016-03-28 15:20:11 EDT
Some general advice in prior:

a. Upstream has official releases. You should package the latest. Why do you 
   want to use a git snapshot?
   https://github.com/scrooloose/syntastic/releases
-Version:        3.6.0
-URL:            https://github.com/scrooloose/syntastic
-Source0:        %{name}-%{alphatag}.tar.xz
+Version:        3.7.0
+URL:            https://github.com/scrooloose/%{name}
+Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.xz

b. Remove explicit (why?) BuildRequires:  glibc-common
c. You must use %license LICENCE

Please fix the above points, then I could do an official fedora-review.

Note You need to log in before you can comment on or make changes to this bug.